help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Is Emacs on Aqua crippleware or is it just broken?


From: BK
Subject: Re: Is Emacs on Aqua crippleware or is it just broken?
Date: 7 May 2003 12:48:02 -0700

John Paul Wallington <address@hidden> wrote ...
 
> Does C-x C-c quit your Emacs ?

No it doesn't. Thank you for asking this.


> I find it hard to follow what you are talking about.  Could you state
> which versions of Emacs you have tried, particularly in terms of their
> version numbers and where you got them from ?

I have tried quite a few and the one I am using now is the least
problematic one. It's 21.1.30 and I downloaded it from

http://www.porkrind.org/emacs/offsite-mirror1/Emacs-21.1.tar.gz

There are two newer versions on the same site, but they are noted as
"Beta" and also they won't run under OSX 10.1 (or so it says on the
site).


> The instructions at http://members.shaw.ca/akochoi-emacs/ explain how
> to obtain and build the official development sources.  I have
> followed those instructions in the past and ended up with an
> excellent Emacs for Mac OS X.

Fair enough. I haven't actually tried to build it myself. Not because
I am lazy, but because most Mac users will shy away from building,
they'll rather download one that is already built. I promised the
authors of ILISP (an Emacs-external Lisp bridge) to write up a
mini-how-to for OSX users to return a favour. Also, the machine I am
working on right now is running OSX Server 10.1.5 and there is no way
I can upgrade that just for Emacs. (OSX server  10.2 costs $999)

If the consensus turns out to be "Emacs builds available for OSX 10.1
are all in a state that has these problems as described" and there are
no fixes, then I will just put a CAUTION into the mini-how-to saying
that on OSX 10.1 there is really no alternative to building from
scratch.

However, if there is a chance that this can be fixed, I'd like to put
in the fixes into the document, so that OSX 10.1 users can apply them
if they have these problems with the pre-built version.

Again, thank you so much for taking the problems I described serious.

rgds
bk


reply via email to

[Prev in Thread] Current Thread [Next in Thread]